#
# spec file for package ghc-Clipboard
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name Clipboard
Name:           ghc-%{pkg_name}
Version:        2.3.2.0
Release:        lp150.1.8
Summary:        System clipboard interface
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-X11-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel

%description
/Clipboard/ is a library for easily interfacing with the system clipboard with
additional unicode support. Currently, only in a Windows or GNU/Linux (X11)
system.

For example, if you type:

> $ setClipboardString "Hello, World!"

Then you have '"Hello, World!"' available to be pasted wherever you want.

Now, if you type:

> $ modifyClipboardString reverse

You will have '"!dlroW ,olleH"' in your clipboard. So:

> $ getClipboardString > "!dlroW ,olleH"

The X11 version depends on the 'X11' package, so you will need the X11
development library available on your system at compile time. You can install
it by 'sudo apt-get install libxrandr-dev' (or the equivalent on your system).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc license

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Jul 11 2017 psimons@suse.com
- Update to version 2.3.2.0.
* Wed Jan 18 2017 psimons@suse.com
- Update to version 2.3.1.0 with cabal2obs.
* Mon Dec 19 2016 psimons@suse.com
- Update to version 2.3.0.2 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 2.3.0.1 revision 0 with cabal2obs.
